<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>弹性盒模型-flex-direction属性</title>
    <style>
        .row-wrap{
            display: flex;
            width: 200px;
            flex-direction:row;
        }
        .row-wrap .flex-item{
            flex:1;
        }
        .row-reverse-wrap{
            display:flex;
            width: 200px;
            flex-direction:row-reverse;
        }
        .row-reverse-wrap .flex-item{
            flex:1;
        }
        .column-wrap{
            display:flex;
            width: 200px;
            flex-direction:column;
        }
        .column-wrap .flex-item{
            flex:1;
        }
        .column-reverse-wrap{
            display:flex;
            width: 200px;
            flex-direction:column-reverse;
        }
        .column-reverse-wrap .flex-item{
            flex:1;
        }
    </style>
</head>
<body>
    <div class="row-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <div class="row-reverse-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <div class="column-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
    <div class="column-reverse-wrap">
        <div class="flex-item">1</div>
        <div class="flex-item">2</div>
        <div class="flex-item">3</div>
        <div class="flex-item">4</div>
    </div>
</body>
</html>